"""Perception modules for Cellular Automata.

This module contains various perception mechanisms used in Cellular Automata
implementations. These perception modules are responsible for gathering
information from the neighborhood of each cell, which is then used to
determine the cell's next state.

Available perception modules may include:
- Convolutional perception
- Depthwise convolutional perception
- Custom perception mechanisms

These modules are designed to work with the CAX library, providing flexible
and efficient perception options for different types of cellular automata
models.
"""
